using System;
using System.Security;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ClassLibrary1;
using System.Security.Permissions;

namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        private Class1 c;
        public Form1()
        {
            InitializeComponent();
            this.c = new Class1();
        }

        private void btnImperativeDeny_Click(object sender, EventArgs e)
        {
            RegistryPermission perm = new RegistryPermission(PermissionState.Unrestricted);
            perm.Deny();
            doImperative();
        }

        private void btnImperativeAssert_Click(object sender, EventArgs e)
        {
            RegistryPermission perm = new RegistryPermission(PermissionState.Unrestricted);
            perm.Deny();
            MessageBox.Show(this.c.assertImperative());
        }

        private void btnImperativeNothin_Click(object sender, EventArgs e)
        {
            doImperative();
        }

        private void btnDeclarativeDeny_Click(object sender, EventArgs e)
        {
            RegistryPermission perm = new RegistryPermission(PermissionState.Unrestricted);
            perm.Deny();
            doDeclarative();
        }

        private void btnDeclarativeAssert_Click(object sender, EventArgs e)
        {
            RegistryPermission perm = new RegistryPermission(PermissionState.Unrestricted);
            perm.Deny();
            MessageBox.Show(this.c.assertDeclarative());
        }

        private void btnDeclarativeNothin_Click(object sender, EventArgs e)
        {
            doDeclarative();
        }

        private void doImperative()
        {
            if (this.c.fOperationImperative())
            {
                MessageBox.Show("Imperative FileOperations OK!");
            }
            else
            {
                MessageBox.Show("Imperative FileOperations went bad :( I'm a sad panda :(");
            }
            MessageBox.Show(this.c.getRegImperative());
            if (this.c.iStorageImperative())
            {
                MessageBox.Show("Imperative IsolatedStorage OK!");
            }
            else
            {
                MessageBox.Show("Imperative IsolatedStorage went bad :( I'm a sad panda :(");
            }
        }

        private void doDeclarative()
        {
            if (this.c.fOperationDeclarative())
            {
                MessageBox.Show("Declarative FileOperations OK!");
            }
            else
            {
                MessageBox.Show("Declarative FileOperations went bad :( I'm a sad panda :(");
            }
            MessageBox.Show(this.c.getRegDeclarative());
            if (this.c.iStorageDeclarative())
            {
                MessageBox.Show("Declarative IsolatedStorage OK!");
            }
            else
            {
                MessageBox.Show("Declarative IsolatedStorage went bad :( I'm a sad panda :(");
            }
        }

    }
}